rmMatrix <- function(repeated,var){
  mtx <- NULL 
  uni <- unique(factor(repeated))
    for (iCol in 1:length(unique(repeated))){
      mtx <- cbind(mtx,var[repeated==uni[iCol]])
    }
  colnames(mtx) <- paste(deparse(substitute(repeated)),levels(uni),sep="_")
  mtx
}

rmMatrix <- function(data,v.names, idvar, repeated,drop=NULL, split=NULL){
#r<-reshape(mullens,v.names="SFREQBUC",idvar=idvar, timevar=repeated, direction="wide")
  r<-reshape(data,v.names=v.names,idvar=idvar, timevar=repeated, drop=drop,direction="wide")
  rnames<-names(r)
  i<-match(idvar,rnames)
  r<-r[,-i]
if(!is.null(split)){
  r<-split(r, eval(parse(text=paste("r$",split,sep=""))))
  for (i in 1:length(r)){
	ii<-match(split,rnames)
	r[[i]]<-r[[i]][,-ii]
	r[[i]]<-as.matrix(r[[i]])
  }
}
else r<-as.matrix(r)
r
}

rr<-rmMatrix(driscoll,v.names="CALLS",idvar="BLOCK",repeated="YEAR")
rr<-rmMatrix(mullens,v.names="SFREQBUC",idvar="TOAD", drop="FREQBUC",repeated="O2LEVEL", split="BREATH")


epsi.GG.HF <- function (mat) {
   
   k <- ncol(mat)
   n <- nrow(mat)
   if (is.list(mat)) {
          list.len <- length(mat)
          S <- 0
          for (i in 1:list.len){
            k <- ncol(mat[[i]])
            n <- nrow(mat[[i]])
            S <-S + (var(mat[[i]])*(length(mat[[i]])/k))
          }
        }
          else {k <- ncol(mat)
                n <- nrow(mat)
                S <- var(mat)}
   D <- (k^2 * (mean(S) - mean(diag(S)))^2)
   N1 <- sum(S^2)
   N2 <- 2 * k * sum(apply(S, 1, mean)^2)
   N3 <- k^2 * mean(S)^2
   epsiGG <- D / ((k - 1) * (N1 - N2 + N3))
   epsiHF <- (n * (k-1) * epsiGG - 2) / ((k-1) * ((n-1) - (k-1)*epsiGG))
   eps <- c(epsiGG,epsiHF)
   names(eps) <- c('GG epsilon', 'HF epsilon')
   eps
}

summaryRM<- function(object,rm,...) {
  sum <- object #summary(object,...)
  eps <- epsi.GG.HF(rm)
  eps.GG <- eps[1]
  eps.HF <- eps[2]
  term.length <- length(sum[[2]][[1]]$Df)
  dfsG <- sum[[2]][[1]]$Df*eps.GG
  dfsH <- sum[[2]][[1]]$Df*eps.HF
  GG.p <- 1-pf(sum[[2]][[1]]$"F value",dfsG,dfsG[term.length])
  HF.p <- 1-pf(sum[[2]][[1]]$"F value",dfsH,dfsH[term.length])
  sum[[2]][[1]]$"GG.P" <- GG.p
  sum[[2]][[1]]$HF.P <- HF.p
  print(sum,digits=5)
  cat(paste("\n","GG epsilon: ",format(eps.GG,digits=7),"\n",sep=""))
  cat(paste("HF epsilon: ",format(eps.HF,digits=7),"\n"))
}
