power.plot <- function(delta, sd, n)
{ 
      power <- numeric(length(n))
	j<-0
	if (length(delta)==1) constant<-"delta"
	else constant <- "sd"
	#print(constant)
	if (constant=="sd") for (i in n) {j<-j+1;power[j] <- power.t.test(n=i,sd=sd,delta=delta[1])$power}
	else for (i in n) {j<-j+1;power[j] <- power.t.test(n=i,sd=sd[1],delta=delta)$power}

	#if (kk==1){
	windows(height=4,width=4)
	old_par<- par(mar=c(4,4,2,1))
	if (constant=="sd") plot(n,power,axes=F, xlab="", ylab="", lwd=2,type="n", main=substitute(paste("sd = ", sd), list(sd=sd)))
	else plot(n,power,axes=F, xlab="", ylab="", lwd=2,type="n", main=substitute(paste("delta = ", delta), list(delta=delta)))

	axis(1, tick=T,tcl=-.2,lab=T,cex.axis=1, lwd=2)
	mtext("n",1, font=2,cex=1.5, line=3)
	axis(2, tick=T,tcl=-.2,lab=T,cex.axis=1, lwd=2, las=1)
	mtext("power",2, font=2,cex=1.5, line=3)
	lines(c(0,max(n)),c(0.8,0.8),lty=2)
	box(bty="l",lwd=2)

	if (constant=="sd") {
		if (length(delta)>0)
		{
			kk<-0
   			for (k in delta){
      			kk<-kk+1
   				power <- numeric(length(n))
				j<-0
				for (i in n) {j<-j+1;power[j] <- power.t.test(n=i,sd=sd,delta=delta[kk])$power}
				points(n,power,col="black", pch=16, lwd=2, type="l", lty=kk)
			}
   		}
      	legend("bottomright", title="Delta",legend=delta, lty=seq(1,length(delta),by=1))
	}
	else {
		if (length(sd)>0)
		{
			kk<-0
   			for (k in sd){
      			kk<-kk+1
   				power <- numeric(length(n))
				j<-0
				for (i in n) {j<-j+1;power[j] <- power.t.test(n=i,sd=sd[kk],delta=delta)$power}
				points(n,power,col="black", pch=16, lwd=2, type="l", lty=kk)
			}
   		}
      	legend("bottomright", title="sd",legend=sd, lty=seq(1,length(sd),by=1))
	}

}
#uses
#power.plot(delta=c(3,4,5,6),sd=2,n=seq(2,10,l=100))
#power.plot(delta=c(3.687),sd=c(1.8,2,2.2),n=seq(2,10,l=100))


mdes.plot <- function(power=.8, sd, n)
{ 
      delta <- numeric(length(n))
	j<-0
	if (length(power)==1) constant<-"power"
	else constant <- "sd"

	if (constant=="sd") for (i in n) {j<-j+1;delta[j] <- power.t.test(n=i,sd=sd,power=power[1])$delta}
	else for (i in n) {j<-j+1;delta[j] <- power.t.test(n=i,sd=sd[1],power=power)$delta}
	windows(height=4,width=4)
	old_par<- par(mar=c(4,4,2,1))
	if (constant=="sd") plot(n,delta,axes=F, xlab="", ylab="", lwd=2,type="n", main=substitute(paste("sd = ", sd), list(sd=sd)))
	else plot(n,delta,axes=F, xlab="", ylab="", lwd=2,type="n", main=substitute(paste("power = ", power), list(power=power)))

	axis(1, tick=T,tcl=-.2,lab=T,cex.axis=1, lwd=2)
	mtext("n",1, font=2,cex=1.5, line=3)
	axis(2, tick=T,tcl=-.2,lab=T,cex.axis=1, lwd=2, las=1)
	mtext("Minimum detectable effect size",2, font=2,cex=1.5, line=3)
	lines(c(0,max(n)),c(0.8,0.8),lty=2)
	box(bty="l",lwd=2)

	if (constant=="sd") {
		if (length(power)>0)
		{
			kk<-0
   			for (k in power){
      			kk<-kk+1
   				delta <- numeric(length(n))
				j<-0
				for (i in n) {j<-j+1;delta[j] <- power.t.test(n=i,sd=sd,power=power[kk])$delta}
				points(n,delta,col="black", pch=16, lwd=2, type="l", lty=kk)
			}
   		}
      	legend("topright", title="Power",legend=power, lty=seq(1,length(power),by=1))
	}
	else {
		if (length(sd)>0)
		{
			kk<-0
   			for (k in sd){
      			kk<-kk+1
   				delta <- numeric(length(n))
				j<-0
				for (i in n) {j<-j+1;delta[j] <- power.t.test(n=i,sd=sd[kk],power=power)$delta}
				points(n,delta,col="black", pch=16, lwd=2, type="l", lty=kk)
			}
   		}
      	legend("topright", title="sd",legend=sd, lty=seq(1,length(sd),by=1))
	}

}

#mdes.plot(power=0.8,sd=c(1.8,2,2.2),n=seq(2,10,l=100),constant="power")
#mdes.plot(power=c(.7,.8,.9),sd=c(2),n=seq(2,10,l=100),constant="sd")

power.r.plot <- function(r=NULL, power=NULL, n=NULL)
{ 
	library(pwr)
	windows(height=4,width=4)
	old_par<- par(mar=c(4,4,2,1))
     	if (length(n)>0) {
		power_val <- numeric(length(n))
		j<-0
		for (i in n) {j<-j+1;power_val[j] <- pwr.r.test(n=i,r=r)$power}
		plot(n,power_val,axes=F, xlab="", ylab="", lwd=2,type="l", main=substitute(paste("r = ", r), list(r=r)))
	}
	else {
		n_val <- numeric(length(power))
		j<-0	
		for (i in power) {j<-j+1;n_val[j] <- pwr.r.test(power=i,r=r)$n}
		plot(n_val,power,axes=F, xlab="", ylab="", lwd=2,type="l", main=substitute(paste("r = ", r), list(r=r)))
	}
	axis(1, tick=T,tcl=-.2,lab=T,cex.axis=1, lwd=2)
	mtext("n",1, font=2,cex=1.5, line=3)
	axis(2, tick=T,tcl=-.2,lab=T,cex.axis=1, lwd=2, las=1)
	mtext("power",2, font=2,cex=1.5, line=3)
	lines(c(0,max(n)),c(0.8,0.8),lty=2)
	box(bty="l",lwd=2)

}
#uses
#power.r.plot(power=seq(.6,.99,l=100),r=sqrt(.92))
#power.r.plot(n=4:10,r=sqrt(.92))


