#script below samples from a bivariate normal distribution whose population correlation is .40.  A scatterplot is plotted with a best fit regression line added to the scatterplot.  A classical t-test of the correlation coefficient is performed, and the standard error under the null hypothesis is calculated.   Change the script below to have different sample sizes and see the effect of sample size on the standard error; also see how the sample correlation fluctuates from sample to sample around the true population correlation value.  With smaller sample sizes, the sample correlation coefficient can be quite different from the population value. 
mvrnorm <- function(n, p, u, s, S) {
              Z <- matrix(rnorm(n * p), p, n)
              t(u + s*t(chol(S)) %*% Z)}

z<-mvrnorm(n=100, p=2, u=c(100,100), s=c(15,15), 
             S=matrix(c(1, .4, .4, 1), ncol=2, nrow=2, 
             byrow=T))    

z.fit<-lm(z[,1]~z[,2])
plot(z[,1], z[,2])
abline(z.fit)
z.cor<-cor.test(z[,1], z[,2])
stderr<-1/(length(z[,1]))^.5

stderr
z.cor