#Q1
veg <- read.table("veg.csv", header=T, sep=",")

#Q1-1a
plot(SP1~SITE, col=as.numeric(HABITAT),data=veg,pch=16)
plot(SP1~SITE,data=veg,type="n")
text(veg$SITE,veg$SP1,lab=veg$HABITAT,col=as.numeric(veg$HABITAT))

#Q1-1b
plot(SP2~SITE,data=veg,type="n")
text(veg$SITE,veg$SP2,lab=veg$HABITAT,col=as.numeric(veg$HABITAT))

#Q1-1c
plot(SP5~SITE,data=veg,type="n")
text(veg$SITE,veg$SP5,lab=veg$HABITAT,col=as.numeric(veg$HABITAT))

#Q1-2
cor(veg[,3:10])

#Q1-3
plot(SP1~SP8, col=as.numeric(HABITAT),data=veg,pch=16)
abline(lm(SP1~SP8,veg))

#Q1-4
veg.pca <- princomp(~SP1+SP2+SP3+SP4+SP5+SP6+SP7+SP8,cor=T,data=veg)

#Q1-4a
#Eigenvalues
veg.pca$sd^2

#Q1-4b
(veg.pca$sd^2)/8

#Q1-4c
(cumsum(veg.pca$sd^2))/8

#Q1-4d
screeplot(veg.pca,type="l")
abline(h=1)

#Q1-5
plot(veg.pca$scores,type="n")
text(veg.pca$scores,lab=veg$HABITAT,font=2)
library(vegan)
ordihull(ordiplot(veg.pca),veg$HABITAT)
ordihull(ordiplot(veg.pca,type="none"),veg$HABITAT)
text(veg.pca$scores,labels=veg$HABITAT,col=as.numeric(veg$HABITAT))

library(Rcmdr)
scatter3d(veg.pca$scores[,1],veg.pca$scores[,2],veg.pca$scores[,3],group=factor(veg$HABITAT),surface=F)

library(scatterplot3d)
ordirgl(veg.pca)
 ordiplot3d(veg.pca)

#Q1-6
#look at loadings
veg.pca$loadings
biplot(veg.pca)
biplot(veg.pca,col=as.numeric(veg$HABITAT))
