coots <- read.table("../../Data/bandicoots.csv", header=T, sep=",")
boxplot(coots$WEIGHT~coots$AREA)

xs <- seq(-4,4,l=1000)
plot(xs, dt(xs,38), type="l")


stat <- function(data, indices){
	t <- t.test(data[,2]~data[,1])$stat
	t
}

rand.gen <- function(data, mle){
	out <- data
	out[,1] <- sample(out[,1], replace=F)
	out
}

library(boot)
coots.boot <- boot(coots, stat, R=100, sim="parametric", ran.gen=rand.gen)
plot(coots.boot)
hist(coots.boot$t, freq=F,xlim=c(-4,4))
#overlay the density distribution
points(density(coots.boot$t), col="red",type="l", lwd=2)

#overlay a theoretical t-distribution
xs <- seq(-4,4,l=1000)
points(xs, dt(xs,38), type="l", lwd=2)

f <- length(coots.boot$t[coots.boot$t >= coots.boot$t0])+1
print(f/(coots.boot$R + 1))
