#Q1
fertilizer <- read.table("../../Data/fertilizer.csv", header=T, sep=",")

#Q1-2
library(car)
scatterplot(YIELD~FERTILIZER, data=fertilizer)

#Q1-3
fert.lm <- lm(YIELD~FERTILIZER, data=fertilizer)
resid(fert.lm)
influence.measures(fert.lm)
plot(fert.lm)

#Q1-4
summary(fert.lm)

#scatterplot
plot(YIELD~FERTILIZER, data=fertilizer)
#line of best fit
abline(fert.lm)

#above with solid circular points 
plot(YIELD~FERTILIZER, data=fertilizer,pch=16)
abline(fert.lm)

#above with rotated y-axis labels 
plot(YIELD~FERTILIZER, data=fertilizer,pch=16, las=1)
abline(fert.lm)

#above with better axes titles 
plot(YIELD~FERTILIZER, data=fertilizer,pch=16, las=1,xlab="", ylab="")
mtext("Mass of fertilizer",1,line=3,font=2,cex=1.5)
mtext("Yield of grass",2,line=3,font=2,cex=1.5)
abline(fert.lm)

#above with pretty axes
plot(YIELD~FERTILIZER, data=fertilizer,pch=16, las=1,xlab="", ylab="",axes=F)
axis(1,lwd=2)
mtext("Mass of fertilizer",1,line=3,font=2,cex=1.5)
axis(2,las=1,lwd=2)
mtext("Yield of grass",2,line=3,font=2,cex=1.5)
abline(fert.lm)
box(bty="l",lwd=2)

#above with proper axes titles
par(mar=c(5,6,1,1))
plot(YIELD~FERTILIZER, data=fertilizer,pch=16, las=1,xlab="", ylab="",axes=F)
axis(1,lwd=2)
mtext(expression(paste("Mass of fertilizer (g.",m^scriptscriptstyle(-2),")")),1,line=4,font=2,cex=1.5)
axis(2,las=1,lwd=2)
mtext(expression(paste("Yeild of grass (g.",m^scriptscriptstyle(-2),")")),2,line=4,font=2,cex=1.5)
abline(fert.lm)
box(bty="l",lwd=2)
