Model.selection <- function(object, data){
	library(hier.part)
	library(nlme)
	predictors <- dimnames(attr(object$terms, "factors"))[[2]]
	comb <-combos(length(predictors))[[1]]
	ll<-length(comb[,1])
	var.names <- vector(mode="character",length=ll)
	d <- data.frame("r.squared"=1:ll,"Adj.r.sq"=1:ll, "AIC"=1:ll, "BIC"=1:ll, "Select"=factor(rep(" ",ll),levels=c(" ","*")))
	form <- object$call$formula
	minAIC=100000
	minBIC =100000
	for (i in 1:length(comb[,1]))
	{
		pred <- predictors[comb[i,]]
		var.names[i]<-paste(pred, collapse="+") 
		#ii <- paste("`",pred,"`", collapse="+", sep="")
	      ii <- paste(pred, collapse="+", sep="")
		new_fit <-update.formula(form, paste("~  +",  ii))
		fit<-lm(new_fit, data=data)
		fit_sum <-summary(lm(fit))
		d$"r.squared"[i] <-fit_sum$"r.squared"
		d$"Adj.r.sq"[i] <-fit_sum$"adj.r.squared"
		d$"AIC"[i]<-extractAIC(fit)[2]
		if (minAIC>d$"AIC"[i]) minAIC <- d$"AIC"[i]
		d$"BIC"[i] <-BIC(fit)
		if (minBIC>d$"BIC"[i]) minBIC <- d$"BIC"[i]

	}
	rownames(d) <- var.names
	d$"Select"[d$BIC==minBIC]<-"*"
	d$"Select"[d$AIC==minAIC]<-"*"
      d
}
Model.selection(loyn.lm, loyn)