#Q1
day <- read.table("../../Data/day.csv", header=T, sep=",")
boxplot(BARNACLE~TREAT,data=day)

#Q1-3
means <- tapply(day$BARNACLE,day$TREAT, mean)
vars <- tapply(day$BARNACLE,day$TREAT, var)
plot(means,vars)

#Q1-4
day.aov <- aov(BARNACLE~TREAT, data=day)
plot(day.aov)
anova(day.aov)

#Q1-9
library(biology)
bar <- Mbargraph(day$BARNACLE, day$TREAT)

#Q1-10
library(multcomp)
#summary(simtest(BARNACLE~TREAT, data=day, type="Tukey"))
summary(glht(day.aov, linfct=mcp(TREAT="Tukey")))
#Q1-12
bar <- Mbargraph(day$BARNACLE, day$TREAT, symb=c('AB','A','BC','C'))

Mbargraph <- function (dv, factorlist, ylabel = paste("Mean", deparse(substitute(dv))), 
    xlabel = "", type = "b", ymin = NULL, ymax = NULL, errorbars = "se", 
    symbols = "") 
{
    means <- tapply(dv, factorlist, mean, na.rm = T)
    sds <- tapply(dv, factorlist, sd, na.rm = T)
    ns <- tapply(dv, factorlist, function(x) length(na.omit(x)))
    ses <- sds/sqrt(ns)
    ys <- pretty(c(means - ses, means + (2 * ses)))
    if (!is.null(ymin)) 
        ys <- c(ys, ymin)
    if (!is.null(ymax)) 
        ys <- c(ys, ymax)
    if (type == "b") {
        if (is.list(factorlist)) {
            xs <- barplot(means, ylim = c(min(ys), max(ys)), 
                beside = T, axes = F, xpd = F, axisnames = F, ylabel="", xlabel="",
                axis.lty = 2, legend.text = T)
            if (xlabel == "") {
                xlabel = deparse(substitute(factorlist)[[3]])
            }
        }
        else {
            xs <- barplot(means, ylim = c(min(ys), max(ys)), 
                beside = T, axes = F, xpd = F, axis.lty = 1, 
                legend.text = F)
            if (xlabel == "") {
                xlabel = deparse(substitute(factorlist))
            }
        }
    }
    else {
        if (is.list(factorlist)) {
            xs <- barplot(means, ylim = c(min(ys), max(ys)), 
                beside = T, axes = F, xpd = F, axis.lty = 1, 
                legend.text = F, plot = FALSE)
            interaction.plot(factorlist[[1]], factorlist[[2]], 
                dv, ylim = c(min(ys), max(ys)))
        }
        else {
            xs <- plotMeans(means, factorlist[[1]], factorlist[[2]])
        }
    }
    #library(Hmisc)
    #errbar(xs, means, means + ses, means - ses, add = T)
    arrows(xs, means+ses, xs, means-ses, ang=90, length=0.1, code=3)
    axis(2, las = 1)
    mtext(2, text = ylabel, line = 3, cex = 1.5)
    mtext(1, text = xlabel, line = 3, cex = 1.5)
    lines(c(0, max(xs) + 0.5), c(min(ys), min(ys)))
    Mgraph <- data.frame(xs, means = means + ses + ((max(ys) - 
        min(ys))/20))
    if (exists("symbols")) {
        text(xs, means + ses, labels = symbols, pos = 3)
    }
}
