minch <- read.table("../../Data/minch.csv", header=T, sep=",")

library(lme4)
minch.agg<-gsummary(minch, groups=minch$ZONE:minch$SITE)
boxplot(LIMPT100~ZONE, minch.agg)

boxplot(LIMPT100~SITE, minch)

boxplot(LIMPT100~ZONE*SITE, minch)

boxplot(sqrt(LIMPT100)~ZONE, minch.agg)

boxplot(sqrt(LIMPT100)~SITE, minch)

boxplot(sqrt(LIMPT100)~ZONE*SITE, minch)

replications(sqrt(LIMPT100)~ZONE*SITE, minch)

!is.list(replications(sqrt(LIMPT100)~ZONE*SITE, minch))
!balanced(sqrt(LIMPT100)~ZONE*SITE, minch)

contrasts(minch$ZONE) <- cbind(c(1/3,1/3,-1,1/3))
round(crossprod(contrasts(minch$ZONE)),2)

minch.aov<-aov(sqrt(LIMPT100)~ZONE*SITE, minch)

plot(minch.aov,which=1)

library(biology)
(minch.anova<-AnovaM(minch.aov, split=list(ZONE=list('Treed vs No trees'=1))))
#then make the manual corrections to F-ratios etc

#attempt to get lmer to work for us!!
#failed - need to ask Andrew Robinson about this!!
library(lme4)
lmer(sqrt(LIMPT100)~1+(1|ZONE)+(1|SITE)+(ZONE:SITE), minch)


minch.aov.A <- aov(sqrt(LIMPT100)~ZONE, minch, subset=SITE=="A")
AnovaM(minch.aov.A, denoms=minch.anova["ZONE:SITE",])


minch.aov.B <- aov(sqrt(LIMPT100)~ZONE, minch, subset=SITE=="B")
AnovaM(minch.aov.B, denoms=minch.anova["ZONE:SITE",])

with(minch,interaction.plot(ZONE, SITE, LIMPT100, las=1, lwd=2, ylim=c(0,40), axes=F, xlab="",ylab="", pch=c(16,17), type="b", legend=F))
minch.means<-tapply(minch$LIMPT100,list(minch$ZONE,minch$SITE),mean)
minch.se<-tapply(minch$LIMPT100,list(minch$ZONE,minch$SITE), function(x) ci(x)[4])
arrows(1:4,minch.means-minch.se,1:4,minch.means+minch.se, code=3, angle=90, len=.05)
axis(1,cex.axis=.8, at=1:4,lab=c("Land", "Mid", "Sea\n(+trees)" ,"Sea\n(-trees)"))
mtext(text="Zone", 1, line=3, cex=1)
axis(2, cex.axis=.8,las=1)
mtext(text=expression(paste(sqrt("number of limpets (x100)"))), side=2, line=3, cex=1)
legend("topright",leg=c("Site A","Site B"),lwd=2,lty=c(2,1), bty="n", pch=c(16,17), cex=1) 
box(bty="l")
