#Q2
driscoll <- read.table("../../Data/driscoll.csv", header=T, sep=",")
driscoll$YEAR <- as.factor(driscoll$YEAR)

#Q2-3a
boxplot(CALLS~YEAR, data=driscoll)

#Q2-3b
interaction.plot(driscoll$BLOCK, driscoll$YEAR, driscoll$CALLS)
library(alr3)
resplot(lm(CALLS~BLOCK+YEAR, data=driscoll))

library(lattice)
barchart(CALLS~YEAR|BLOCK, tobacco)
bwplot(CALLS~YEAR|BLOCK, tobacco)
xyplot(CALLS~YEAR|BLOCK, tobacco, type=c("p","l"))
#no pattern

!is.list(replications(CALLS~Error(BLOCK)+ YEAR, data=driscoll))
is.balanced(CALLS~Error(BLOCK)+ YEAR, data=driscoll)

#Q2-3c
library(biology)
driscoll.aov <- aov(CALLS~Error(BLOCK)+ YEAR, data=driscoll)
epsi.GG.HF(driscoll.aov)

#Q2-3d
!is.list(replications(CALLS~Error(BLOCK)+ YEAR, data=driscoll))
is.balanced(CALLS~Error(BLOCK)+ YEAR, data=driscoll)

#Q2-4
driscoll.aov <- aov(CALLS~Error(BLOCK)+ YEAR, data=driscoll)
(driscoll.anova <- AnovaM(driscoll.aov, type="I", RM=T))
#driscoll.rm <- rmMatrix(driscoll,repeated="YEAR",idvar="BLOCK")
#summaryRM(summary(driscoll.aov),driscoll.rm)

library(biology)
#bar <- Mbargraph(driscoll$CALLS, driscoll$YEAR)
plotMeans(driscoll$CALLS, driscoll$YEAR)


#Q2-6
library(biology)
contrasts(driscoll$YEAR) <- "contr.poly" #define polynomial contrasts
#driscoll.aov2 <- aov(CALLS ~ C(YEAR,poly,1) + BLOCK + Error(BLOCK/C(YEAR,poly,1)), data=driscoll)
#summaryRM(driscoll.aov2,driscoll.rm)#to fit polynomial trends
#use the BLOCK:YEARLinear term as the residual
driscoll.aov1 <- aov(CALLS~Error(BLOCK/C(YEAR,poly,1)) + C(YEAR,poly,1), data=driscoll)
#driscoll.aov2 <- aov(CALLS~Error(BLOCK)+YEAR, data=driscoll)
#driscoll.aov3 <- aov(CALLS~Error(BLOCK/YEAR)+YEAR, data=driscoll)
AnovaM(driscoll.aov1,type="I", RM=T)
#summaryRM(summary(driscoll.aov1),driscoll.rm)


#note that if there was no interaction between block and year, then we could have used the original global residuals in which case the following script is appropriate
library(biology)
contrasts(driscoll$YEAR) <- "contr.poly"
driscoll.aov <- aov(CALLS~Error(BLOCK)+ YEAR, data=driscoll)
AnovaM(driscoll.aov,split=list(YEAR=list("Linear"=1,"Quad"=2)), RM=T)
#summaryRM(summary(driscoll.aov,split=list(YEAR=list("Linear"=1,"Quad"=2))),driscoll.rm)#OR
                                        #OR
contrasts(driscoll$YEAR) <- "contr.poly"
driscoll.aov <- aov(CALLS~Error(BLOCK)+ YEAR +C(YEAR,poly,2), data=driscoll)
AnovaM(driscoll.aov,split=list(YEAR=list("Linear"=1,"Quad"=2)), RM=T)


#lme
#assuming compound symmetry
driscoll.lme <- lme(CALLS~YEAR, random=~1|BLOCK, data=driscoll, correlation=corCompSymm(form=~1|BLOCK))
#not assuming compound symmetry
driscoll.lme1 <- lme(CALLS~YEAR, random=~1|BLOCK, data=driscoll, correlation=corSymm(form=~1|BLOCK))
driscoll.lme2 <- lme(CALLS~YEAR, random=~1|BLOCK, data=driscoll)

#compare fit
anova(driscoll.lme, driscoll.lme1)

#examing anova for most appropriate model
anova(driscoll.lme1)
