#Q3
copper <- read.table("../../Data/copper.csv", header=T, sep=",")
copper$PLATE <- as.factor(copper$PLATE)
copper$DIST <- as.factor(copper$DIST)

#Q3-4a
cu.ag <- aggregate(copper,list(COPPER=copper$COPPER, PLATE=copper$PLATE), mean)
library(lme4)
cu.ag<-gsummary(copper, groups=copper$PLATE)

#Q3-4b
boxplot(WORMS~COPPER, data=cu.ag)

#Q3-5
boxplot(WORMS~DIST, data=copper)

#Q3-6
boxplot(WORMS~COPPER:DIST, data=copper)

#Q3-7
interaction.plot(copper$PLATE, copper$DIST, copper$WORMS)

#Q3-7b
!is.list(replications(WORMS ~ COPPER + Error(PLATE) + DIST +COPPER:DIST,data=copper))
library(alr3)
resplot(lm(WORMS~COPPER*DIST+BLOCK+PLATE, data=copper))

library(lattice)
xyplot(WORMS~DIST|PLATE, copper, type=c("p","l"))


#Q3-7c
library(biology)
epsi.GG.HF(aov(WORMS ~ COPPER + Error(PLATE) + DIST +COPPER:DIST,data=copper))

#Q3-9
copper.aov <- aov(WORMS ~ COPPER + Error(PLATE) + DIST +COPPER:DIST,data=copper)
#OR
copper.aov <- aov(WORMS ~ COPPER*DIST+Error(PLATE),data=copper)
summary(copper.aov)
AnovaM(copper.aov, RM=T)

#Q3-10
interaction.plot(copper$DIST, copper$COPPER, copper$WORMS)

#Tukeys test to investigate differences between copper treatments
anova(aov(WORMS ~ COPPER, cu.ag))
library(multcomp)
copper.aov1<-aov(WORMS ~ COPPER, cu.ag)
summary(glht(copper.aov1, linfct=mcp(COPPER="Tukey")))
#Tukeys test to investigate differences between distance treatments
copper.aov2 <- aov(WORMS ~ COPPER*DIST+PLATE,data=copper)
summary(glht(copper.aov2, linfct=mcp(DIST="Tukey")))

AnovaM(mainEffects(copper.aov, at=DIST==1),type="III")
AnovaM(mainEffects(copper.aov, at=DIST==2),type="III")
AnovaM(mainEffects(copper.aov, at=DIST==3),type="III")
AnovaM(mainEffects(copper.aov, at=DIST==4),type="III")

#copper.aov_d1<-aov(WORMS ~ COPPER + Error(PLATE), data=copper,subset=copper$DIST==1)
#AnovaM(copper.aov_d1, denoms=AnovaM(copper.aov)[[1]])
#copper.aov_d2<-aov(WORMS ~ COPPER + Error(PLATE), data=copper,subset=copper$DIST==2)
#AnovaM(copper.aov_d2, denoms=AnovaM(copper.aov)[[1]])
#copper.aov_d3<-aov(WORMS ~ COPPER + Error(PLATE), data=copper,subset=copper$DIST==3)
#AnovaM(copper.aov_d3, denoms=AnovaM(copper.aov)[[1]])
#copper.aov_d4<-aov(WORMS ~ COPPER + Error(PLATE), data=copper,subset=copper$DIST==4)
#AnovaM(copper.aov_d4, denoms=AnovaM(copper.aov)[[1]])

AnovaM(mainEffects(copper.aov, at=COPPER=='control     '),type='III')
AnovaM(mainEffects(copper.aov, at=COPPER=='Week 1      '),type='III')
AnovaM(mainEffects(copper.aov, at=COPPER=='Week 2      '),type='III')

copper.aov_cC<-aov(WORMS ~ DIST + Error(PLATE), data=copper,subset=copper$COPPER=='control     ')
AnovaM(copper.aov_cC, denoms=AnovaM(copper.aov))
copper.aov_c1<-aov(WORMS ~ DIST + Error(PLATE), data=copper,subset=copper$COPPER=='Week 1      ')
AnovaM(copper.aov_c1, denoms=AnovaM(copper.aov))
copper.aov_c2<-aov(WORMS ~ DIST + Error(PLATE), data=copper,subset=copper$COPPER=='Week 2      ')
AnovaM(copper.aov_c2, denoms=AnovaM(copper.aov))


#summary(aov(WORMS ~ DIST + Error(PLATE), data=copper,subset=copper$COPPER=='control     '))
#summary(aov(WORMS ~ DIST + Error(PLATE), data=copper,subset=copper$COPPER=='Week 1      '))
#summary(aov(WORMS ~ DIST + Error(PLATE), data=copper,subset=copper$COPPER=='Week 2      '))

contrasts(copper$DIST)<-'contr.poly'
copper.aov_cC<-aov(WORMS ~ DIST + Error(PLATE), data=copper,subset=copper$COPPER=='control     ')
AnovaM(copper.aov_cC, split=list(DIST=list(1,2)),denoms=AnovaM(copper.aov))
copper.aov_c1<-aov(WORMS ~ DIST + Error(PLATE), data=copper,subset=copper$COPPER=='Week 1      ')
AnovaM(copper.aov_c1, split=list(DIST=list(1,2)),denoms=AnovaM(copper.aov))
copper.aov_c2<-aov(WORMS ~ DIST + Error(PLATE), data=copper,subset=copper$COPPER=='Week 2      ')
AnovaM(copper.aov_c2, split=list(DIST=list(1,2)),denoms=AnovaM(copper.aov))

summary(aov(WORMS ~ C(DIST,poly,2) + Error(PLATE), data=copper,subset=copper$COPPER=='Week 2      '))
summary(aov(WORMS ~ C(DIST,poly,2) + Error(PLATE/C(DIST,poly,2)), data=copper,subset=copper$COPPER=='Week 2      '))
copper.aov1<-aov(WORMS ~ DIST + Error(PLATE), data=copper,subset=copper$COPPER=='Week 2      ')
summary(copper.aov1, split=list(DIST=list('Linear'=1,"Quadratic"=2)))

