#Q3
mullens <- read.table("../../Data/mullens.csv", header=T, sep=",")
mullens$O2LEVEL <- as.factor(mullens$O2LEVEL)

#Q4-2a
mullens.ag <- aggregate(mullens,list(BREATH=mullens$BREATH, TOAD=mullens$TOAD), mean)
#OR
library(lme4)
mullens.ag<-gsummary(mullens, groups=mullens$TOAD)

boxplot(FREQBUC~BREATH, data=mullens.ag)
mullens$SFREQBUC <- sqrt(mullens$FREQBUC)
mullens.ag <- aggregate(mullens,list(BREATH=mullens$BREATH, TOAD=mullens$TOAD), mean)
#OR
mullens.ag<-gsummary(mullens, groups=mullens$TOAD)
boxplot(SFREQBUC~BREATH, data=mullens.ag)


#Q4-2b
boxplot(SFREQBUC~O2LEVEL, data=mullens)

#Q4-2c
boxplot(SFREQBUC~BREATH:O2LEVEL, data=mullens)

#Q4-2d
interaction.plot(mullens$TOAD, mullens$O2LEVEL, mullens$SFREQBUC)

#Q4-2e
!is.list(replications(SFREQBUC ~ BREATH + Error(TOAD) + O2LEVEL + BREATH:O2LEVEL,data=mullens))

#Q4-2f
library(biology)
epsi.GG.HF(aov(SFREQBUC ~ BREATH + Error(TOAD) + O2LEVEL + BREATH:O2LEVEL,data=mullens))

#Q4-3
contrasts(mullens$TOAD)<- "contr.helmert"
contrasts(mullens$BREATH)<- "contr.helmert"
mullens.aov <- aov(SFREQBUC ~ BREATH +O2LEVEL + BREATH:O2LEVEL+Error(TOAD),data=mullens)

AnovaM(mullens.aov, type="III", RM=T)
#summary(mullens.aov)
#library(biology)
#mullens.split <- split(mullens,mullens$BREATH)
#mullens.rm1<-rmMatrix(mullens.split$buccal, v.names="SFREQBUC",repeated="O2LEVEL",idvar="TOAD", drop=c("BREATH","FREQBUC"))
#OR
#mullens.rm1 <-matrix(mullens.split$buccal$SFREQBUC,ncol=length(unique(mullens.split$buccal$O2LEVEL)),byrow=T)

#mullens.rm2<-rmMatrix(mullens.split$lung, v.names="SFREQBUC",repeated="O2LEVEL",idvar="TOAD", drop=c("BREATH","FREQBUC"))
#OR
#mullens.rm2 <-matrix(mullens.split$lung$SFREQBUC,ncol=length(unique(mullens.split$lung$O2LEVEL)),byrow=T)

#library(biology)
#summaryRM(AnovaM(mullens.aov,type="III"),list(mullens.rm1,mullens.rm2))


#polynomials
mullens$O2LEVEL <- factor(mullens$O2LEVEL)
contrasts(mullens$O2LEVEL)<-contr.poly(8,c(0,5,10,15,20,30,40,50))
#contrasts(mullens$O2LEVEL)<-'contr.poly'
contrasts(mullens$TOAD)<- "contr.helmert"
contrasts(mullens$BREATH)<- "contr.helmert"
mullens.aov <- aov(SFREQBUC ~ BREATH * O2LEVEL + Error(TOAD), mullens)


mullens.sum<-AnovaM(mullens.aov,type="II", split=list(O2LEVEL=list('Linear'=1,'Quad'=2,'Cubic'=3)), RM=T)
mullens.sum

#summaryRM(mullens.sum,list(mullens.rm1,mullens.rm2))


#NEED TO PUT MORE WORK INTO THE AnovaM function - in particular, the bit that converts the aov to lm by removing the Error part - using sub()

#OR an alternative way of dealing with polynomial trends when there is likely to be a sphericity problem is to use separate error terms for each polynomial
mullens.aov <- aov(SFREQBUC ~ Error(TOAD/C(O2LEVEL,poly,1,c(0,5,10,15,20,30,40,50))) + C(O2LEVEL,poly,1,c(0,5,10,15,20,30,40,50))*BREATH,data=mullens)
AnovaM(mullens.aov,type="II")
mullens.aov <- aov(SFREQBUC ~ Error(TOAD/(C(O2LEVEL,poly,1,c(0,5,10,15,20,30,40,50))*C(O2LEVEL,poly,2,c(0,5,10,15,20,30,40,50)))) +C(O2LEVEL,poly,2,c(0,5,10,15,20,30,40,50))*BREATH,data=mullens)

mullens.aov <- aov(SFREQBUC ~ Error(TOAD/(C(O2LEVEL,poly,1,c(0,5,10,15,20,30,40,50))*C(O2LEVEL,poly,2,c(0,5,10,15,20,30,40,50)))) +C(O2LEVEL,poly,1,c(0,5,10,15,20,30,40,50))*BREATH+ C(O2LEVEL,poly,2,c(0,5,10,15,20,30,40,50))*BREATH,data=mullens)
p1<-C(mullens$O2LEVEL,poly,1,c(0,5,10,15,20,30,40,50))
p2<-C(mullens$O2LEVEL,poly,2,c(0,5,10,15,20,30,40,50))
#mullens.aov <- aov(SFREQBUC ~ Error(TOAD/(C(O2LEVEL,poly,1,c(0,5,10,15,20,30,40,50))*C(O2LEVEL,poly,2,c(0,5,10,15,20,30,40,50))))+C(O2LEVEL,poly,1,c(0,5,10,15,20,30,40,50))+C(O2LEVEL,poly,1,c(0,5,10,15,20,30,40,50)):BREATH+ C(O2LEVEL,poly,2,c(0,5,10,15,20,30,40,50))+C(O2LEVEL,poly,2,c(0,5,10,15,20,30,40,50)):BREATH,data=mullens)
mullens.aov <- aov(SFREQBUC ~ Error(TOAD/(p1*p2))+p1+p1:BREATH+ p2+p2:BREATH,data=mullens)
AnovaM(mullens.aov,type="II")
summary(mullens.aov)
#still needs work!!!

drop1(aov(SFREQBUC ~ BREATH + TOAD + O2LEVEL + BREATH:O2LEVEL,data=mullens), ~O2LEVEL)

#coplot
coplot(SFREQBUC ~ O2LEVEL|TOAD, data=mullens,panel = function(x, y, ...) panel.smooth(x, y, span = .8, ...))
coplot(SFREQBUC ~ O2LEVEL1|TOAD, data=mullens,panel = function(x, y, ...) {abline(aov(y~as.numeric(x)));points(x,y)})
coplot(SFREQBUC ~ O2LEVEL1|TOAD*BREATH, data=mullens,bar.bg=c(num="blue",fac="green"),panel = function(x, y, ...) {abline(aov(y~as.numeric(x)));points(x,y)})

#this can be used to reshape a data set!
mullens.reshape<-reshape(mullens,v.names="SFREQBUC",idvar="TOAD", timevar="O2LEVEL",drop="FREQBUC",direction="wide")
#Q4-4
interaction.plot(mullens$O2LEVEL, mullens$BREATH, mullens$FREQBUC)

#MANOVA proceedure
mull<-rbind(mullens.rm1, mullens.rm2)
mull$BREATH<-as.factor(c(rep("Buccal",13),rep("Lung",8)))
contrasts(mull$BREATH)<- "contr.helmert"

mull$TOAD<-as.factor(LETTERS[1:21])
mull.manova<-lm(cbind(mull$SFREQBUC.0
				,mull$SFREQBUC.5
				,mull$SFREQBUC.10
				,mull$SFREQBUC.15
				,mull$SFREQBUC.20
				,mull$SFREQBUC.30
				,mull$SFREQBUC.40
				,mull$SFREQBUC.50)~mull$BREATH)



idata <- data.frame(o2=as.factor(c(0,5,10,15,20,30,40,50))) 
(av.ok <- Anova(mull.manova, idata=idata, idesign=~o2, type="III")) 
summary(av.ok, multivariate=FALSE)
summary(av.ok)


#THE FOLLOWING IS BETTER
mullens.rm<-reshape(mullens,direction="wide", timevar="O2LEVEL",idvar="TOAD", drop="FREQBUC", v.names="SFREQBUC")
contrasts(mullens.rm$BREATH)<- "contr.helmert"
mullens.rm$TOAD<-as.factor(mullens.rm$TOAD)

contrasts(mullens.rm$O2LEVEL)<-contr.poly(8,c(0,5,10,15,20,30,40,50))


mullens.manova<-lm(cbind(mullens.rm$SFREQBUC.0
				,mullens.rm$SFREQBUC.5
				,mullens.rm$SFREQBUC.10
				,mullens.rm$SFREQBUC.15
				,mullens.rm$SFREQBUC.20
				,mullens.rm$SFREQBUC.30
				,mullens.rm$SFREQBUC.40
				,mullens.rm$SFREQBUC.50)~mullens.rm$BREATH)
idata <- data.frame(o2=as.factor(c(0,5,10,15,20,30,40,50))) 
idata
(av.ok <- Anova(mullens.manova, idata=idata, idesign=~o2, type="III"))
summary(av.ok, multivariate=FALSE)
summary(av.ok)




