#Q7
sinclair <- read.table("../../Data/sinclair.csv", header=T, sep=",")

#Q7-2

sinclair.glmR <- glm(COUNT~SEX:DEATH+SEX:MARROW+MARROW:DEATH+SEX+DEATH+MARROW, family=poisson,data=sinclair)
sinclair.glmF <- glm(COUNT~SEX*DEATH*MARROW, family=poisson,data=sinclair)
anova(sinclair.glmR,sinclair.glmF, test="Chisq")
#anova(sinclair.glmF)

#Q7-3
#females
sinclair.glmR <- glm(COUNT~DEATH+MARROW, family=poisson, data=sinclair,subset=SEX=="FEMALE")
sinclair.glmF <- glm(COUNT~DEATH*MARROW, family=poisson, data=sinclair,subset=SEX=="FEMALE")
anova(sinclair.glmR,sinclair.glmF, test="Chisq")
#males
sinclair.glmR <- glm(COUNT~DEATH+MARROW, family=poisson, data=sinclair,subset=SEX=="MALE")
sinclair.glmF <- glm(COUNT~DEATH*MARROW, family=poisson, data=sinclair,subset=SEX=="MALE")
anova(sinclair.glmR,sinclair.glmF, test="Chisq")

##an association exists between cause of death and marrow type for both males and females, although it is perhaps strongest for the latter.


#sinclair.split<-split(sinclair,sinclair$SEX)
##female
#sinclair.glmR <- glm(COUNT~DEATH+MARROW, family=poisson,data=sinclair.split[["FEMALE"]])
#sinclair.glmF <- glm(COUNT~DEATH*MARROW, family=poisson,data=sinclair.split[["FEMALE"]])
#anova(sinclair.glmR,sinclair.glmF, test="Chisq")
##male
#sinclair.glmR <- glm(COUNT~DEATH+MARROW, family=poisson,data=sinclair.split[["MALE"]])
#sinclair.glmF <- glm(COUNT~DEATH*MARROW, family=poisson,data=sinclair.split[["MALE"]])
#anova(sinclair.glmR,sinclair.glmF, test="Chisq")

#Q7-4
#odds ratios of being killed by predation vs non-predation for each sex and marrow type combination
library(epitools)
male.tab <- xtabs(COUNT~DEATH + MARROW, data=sinclair,subset=SEX=="MALE")
# transpose this so that cause of death is in columns
male.tab<-t(male.tab)
library(biology)
oddsratios(male.tab)

female.tab <- xtabs(COUNT, subset=SEX=="FEMALE")
female.tab<-t(female.tab)
oddsratios(female.tab)

##Conclusions - the odds of being killed by predation for males with TG marrow type are less than
#that for either OG or SWF marrow types, whereas female wildebeest with SWF marrow type were
#less and more likely to be killed by predation than females with OG and TG marrow type respectively.


#library(epitools)
#female.tab <- xtabs(COUNT ~ DEATH + MARROW, data=sinclair.split[["FEMALE"]])
#oddsratio.wald(t(female.tab))$measure
#oddsratio.wald(t(female.tab),rev="b")$measure

#male.tab <- xtabs(COUNT ~ DEATH + MARROW, data=sinclair.split[["MALE"]])
#oddsratio.wald(t(male.tab))$measure
#oddsratio.wald(t(male.tab),rev="b")$measure


#Reduced model
#roberts.glmR <- glm(COUNT~COOLIBAH+POSITION, family=poisson,data=roberts)
#Full, saturated model
sinclair.glmF <- glm(COUNT~SEX*MARROW*DEATH, family=poisson,data=sinclair)
anova(sinclair.glmF, test="Chisq")

sinclair.glmF <- glm(COUNT~SEX+MARROW+DEATH, family=poisson,data=sinclair)
sinclair.glmR <- glm(COUNT~1, family=poisson,data=sinclair)
anova(sinclair.glmR,sinclair.glmF, test="Chisq")
anova(sinclair.glmR, test="Chisq")
AIC(sinclair.glmR)-AIC(sinclair.glmF)

sinclair.glmR1 <- glm(COUNT~SEX+DEATH+MARROW, family=poisson,data=sinclair)

sinclair.glmR2 <- glm(COUNT~SEX:DEATH+SEX+DEATH+MARROW, family=poisson,data=sinclair)
sinclair.glmR3 <- glm(COUNT~DEATH:MARROW+SEX+DEATH+MARROW, family=poisson,data=sinclair)
sinclair.glmR4 <- glm(COUNT~SEX:MARROW+SEX+DEATH+MARROW, family=poisson,data=sinclair)

sinclair.glmR5 <- glm(COUNT~SEX:DEATH+DEATH:MARROW+SEX+DEATH+MARROW, family=poisson,data=sinclair)
sinclair.glmR6 <- glm(COUNT~SEX:DEATH+SEX:MARROW+SEX+DEATH+MARROW, family=poisson,data=sinclair)
sinclair.glmR7 <- glm(COUNT~MARROW:DEATH+SEX:MARROW+SEX+DEATH+MARROW, family=poisson,data=sinclair)

sinclair.glmR8 <- glm(COUNT~SEX:DEATH+SEX:MARROW+MARROW:DEATH+SEX+DEATH+MARROW, family=poisson,data=sinclair)

sinclair.glmF <- glm(COUNT~SEX*DEATH*MARROW, family=poisson,data=sinclair)
anova(sinclair.glmR,sinclair.glmF, test="Chisq")
AIC(sinclair.glmR)-AIC(sinclair.glmF)

#sinclair.glmF <- glm(COUNT~SEX*DEATH*MARROW-SEX:DEATH-SEX:MARROW:DEATH, family=poisson,data=sinclair)
#sinclair.glmR <- glm(COUNT~SEX*DEATH*MARROW-SEX:MARROW:DEATH, family=poisson,data=sinclair)

anova(sinclair.glmR6,sinclair.glmR8, test="Chisq")


#split data by sex
sinclair.split<-split(sinclair,sinclair$SEX)

sinclair.glmR8 <- glm(COUNT~DEATH+MARROW, family=poisson,data=sinclair.split[["FEMALE"]])
sinclair.glmF <- glm(COUNT~DEATH*MARROW, family=poisson,data=sinclair.split[["FEMALE"]])
anova(sinclair.glmR8,sinclair.glmF, test="Chisq")

sinclair.glmR8 <- glm(COUNT~DEATH+MARROW, family=poisson,data=sinclair.split[["MALE"]])
sinclair.glmF <- glm(COUNT~DEATH*MARROW, family=poisson,data=sinclair.split[["MALE"]])
anova(sinclair.glmR8,sinclair.glmF, test="Chisq")

#odds ratios
library(epitools)
female.tab <- xtabs(COUNT ~ DEATH + MARROW, data=sinclair.split[["FEMALE"]])
oddsratio.wald(t(female.tab))$measure
oddsratio.wald(t(female.tab),rev="b")$measure

male.tab <- xtabs(COUNT ~ DEATH + MARROW, data=sinclair.split[["MALE"]])
oddsratio.wald(t(male.tab))$measure
oddsratio.wald(t(male.tab),rev="b")$measure

#or<-sqrt((1/25)+(1/21)+(1/36)+(1/6))
#ci<-exp(0.89-1.65*log(sqrt((1/25)+(1/21)+(1/36)+(1/6))))

